> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new cancellation fee policy

> ## Create a new cancellation fee policy ##

<p>
Creates a new cancellation fee policy based on the JSON array of data provided.
</p>

## Response ##
**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>cancellationFeePolicyId</td><td>n</td><td>Integer</td><td>ID of the new cancellation fee policy.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /{supplierapi}/cancellationpolicy
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/cancellationpolicy:
    post:
      tags:
        - Version 1
      summary: Create a new cancellation fee policy
      description: >-
        ## Create a new cancellation fee policy ##


        <p>

        Creates a new cancellation fee policy based on the JSON array of data
        provided.

        </p>


        ## Response ##

        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>cancellationFeePolicyId</td><td>n</td><td>Integer</td><td>ID of the new cancellation fee policy.</td>
                 </tr>
             </tbody>
         </table>
      operationId: post_api_product_cancellationpolicy_createpolicy
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      requestBody:
        description: Required fields to create a cancellation fee policy
        content:
          application/json:
            schema:
              required:
                - policyName
                - usePercentMode
                - daysBeforeTravelDate
                - feeAmount
              properties:
                policyName:
                  description: Name of the cancellation fee policy.
                  type: string
                policyDescription:
                  description: Additional description information.
                  type: string
                usePercentMode:
                  description: >-
                    Whether the policy is in percent mode (true) or dollar mode
                    (false).
                  type: boolean
                isDefault:
                  description: >-
                    Whether this policy should become the default cancellation
                    fee policy for this supplier.
                  type: boolean
                cancellationFeeRules:
                  description: Array of CancellationFeeRule objects.
                  type: array
                  items:
                    required:
                      - daysBeforeTravelDate
                      - feeAmount
                    properties:
                      daysBeforeTravelDate:
                        description: >-
                          Duration before travel date that this rule will be in
                          effect.
                        type: integer
                      feeAmount:
                        description: >-
                          Amount of cancellation fee when rule applies (a
                          percentage value when policy is in percent mode, or a
                          monetary amount when in dollar mode).
                        type: number
                        format: float
                    type: object
              type: object
      responses:
        '200':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.